if(NOT MKL_CUSTOM_LIBRARY_NAME)
    set(MKL_CUSTOM_LIBRARY_NAME ${MKL_DEFAULT_LIBRARY_NAME})
endif(NOT MKL_CUSTOM_LIBRARY_NAME)

if(NOT MKL_CUSTOM_LIBRARY_DIR)
    set(MKL_CUSTOM_LIBRARY_DIR ${EXTERN_LIB_DIR}/${MKL_CUSTOM_LIBRARY_NAME})
endif(NOT MKL_CUSTOM_LIBRARY_DIR)

if(NOT MKL_CUSTOM_DLL)
    set(MKL_CUSTOM_DLL ${MKL_CUSTOM_LIBRARY_DIR}/bin/x86/${MKL_CUSTOM_LIBRARY_NAME}.dll)
endif(NOT MKL_CUSTOM_DLL)

if(NOT MKL_COMPILER_DLL)
    set(MKL_COMPILER_DLL "${PROGRAM_DIR32}/Intel/oneAPI/compiler/latest/windows/redist/ia32_win/compiler/libiomp5md.dll")
endif(NOT MKL_COMPILER_DLL)
